LibreOffice: SyncDbusSessionHelper Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
SyncDbusSessionHelper Service Reference

`import"SyncDbusSessionHelper.idl";`

Inheritance diagram for SyncDbusSessionHelper:

## Additional Inherited Members
Exported Interfaces inherited from XSyncDbusSessionHelper
interface | XModify
interface | XQuery
Public Member Functions inherited from XModify
void | InstallPackageFiles ([in] unsigned long xid, [in] sequence< string > files, [in] string interaction)
| Installs local package sequence< string > files or service packs. More...
void | InstallProvideFiles ([in] unsigned long xid, [in] sequence< string > files, [in] string interaction)
| Installs sequence< string > packages to provide sequence< string > files. More...
void | InstallCatalogs ([in] unsigned long xid, [in] sequence< string > files, [in] string interaction)
| Installs sequence< string > packages to provide sequence< string > files. More...
void | InstallPackageNames ([in] unsigned long xid, [in] sequence< string > packages, [in] string interaction)
| Installs sequence< string > packages from a configured software source. More...
void | InstallMimeTypes ([in] unsigned long xid, [in] sequence< string > mimeTypes, [in] string interaction)
| Installs mimetype handlers from a configured software source. More...
void | InstallFontconfigResources ([in] unsigned long xid, [in] sequence< string > resources, [in] string interaction)
| Installs fontconfig resources ( [in] usually fonts) from a configured software source. More...
void | InstallGStreamerResources ([in] unsigned long xid, [in] sequence< string > resources, [in] string interaction)
| Installs GStreamer resources ( [in] usually codecs) from a configured software source. More...
void | InstallResources ([in] unsigned long xid, [in] sequence< string > types, [in] sequence< string > resources, [in] string interaction)
| Installs resources of a given type from a configured software source. More...
void | RemovePackageByFiles ([in] unsigned long xid, [in] sequence< string > files, [in] string interaction)
| Removes sequence< string > packages that provide the given local sequence< string > files. More...
void | InstallPrinterDrivers ([in] unsigned long xid, [in] sequence< string > files, [in] string interaction)
| Installs printer drivers from a configured software source. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XQuery
void | IsInstalled ([in] string packageName, [in] string interaction, [out] boolean installed)
| Installs local package files or service packs. More...
void | SearchFile ([in] string fileName, [in] string interaction, [out] boolean installed, [out] string packageName)
| Installs packages to provide files. More...

The documentation for this service was generated from the following file:

- org/freedesktop/PackageKit/SyncDbusSessionHelper.idl